/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: EXIFProvider.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.metadata.exif.provider;

import javax.annotation.Nonnull;
import it.tidalwave.image.metadata.EXIF;
import it.tidalwave.metadata.MetadataItemHolder;
import it.tidalwave.metadata.spi.MetadataItemProviderSupport;
import it.tidalwave.metadata.tiff.provider.DirectoryMetadataItemHolder;

/*******************************************************************************
 *
 * This class provides support for {@link EXIF} metadata items.
 * 
 * @author  Fabrizio Giudici
 * @version $Id: EXIFProvider.java,v d7e8fed5e750 2009/09/17 23:55:58 fabrizio $
 *
 ******************************************************************************/
public class EXIFProvider extends MetadataItemProviderSupport<EXIF>
  {
    public EXIFProvider()
      {
        super(EXIF.class, MetadataItemProviderSupport.CreationStrategy.RAW);
      }

    @Override
    @Nonnull
    protected MetadataItemHolder<EXIF> createMetadataHolder (@Nonnull final EXIF exif)
      {
        return new DirectoryMetadataItemHolder<EXIF>(exif);
      }
  }
